use std::{fs::File, io::Write};

use cowgen::{CowError, Element, Text};

fn main() -> Result<(), CowError> {
    let out = cowgen::Template::new(
        include_bytes!("cow.png").to_vec(),
        vec![
            Element::new(
                cowgen::Media::Text(Text::new(
                    "Hello",
                    "/usr/share/fonts/TTF/OpenSans-ExtraBold.ttf",
                    20.0,
                    (0, 0, 0, 128),
                )),
                (0, 0),
                (64, 64),
            ),
            Element::new(
                cowgen::Media::Image(include_bytes!("mariah.jpg").to_vec()),
                (200, 400),
                (800, 200),
            ),
        ],
    )?
    .produce()?;
    let mut f = File::create("out2.png").unwrap();
    f.write_all(&out).unwrap();
    f.flush().unwrap();
    Ok(())
}
